WinShopAPI docs
ReferenceItem lists

Companies / Optional1

List optional 1

GET
/api/item-lists/companies/optional-1

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/companies/optional-1' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "name": "string",    "number": 0  }]

Create an optional 1

POST
/api/item-lists/companies/optional-1

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
id?integer
Formatint32
name?|
Lengthlength <= 80
number?|
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 80
number?|
Formatint32
curl -X POST 'https://<your-instance>/api/item-lists/companies/optional-1' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "name": "string",  "number": 0}

Get an optional 1

GET
/api/item-lists/companies/optional-1/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 80
number?|
Formatint32
curl -X GET 'https://<your-instance>/api/item-lists/companies/optional-1/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "name": "string",  "number": 0}

Update an optional 1

PATCH
/api/item-lists/companies/optional-1/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
id?integer
Formatint32
name?|
Lengthlength <= 80
number?|
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 80
number?|
Formatint32
curl -X PATCH 'https://<your-instance>/api/item-lists/companies/optional-1/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "name": "string",  "number": 0}

Delete an optional 1

DELETE
/api/item-lists/companies/optional-1/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/companies/optional-1/0' \  -H 'Authorization: Bearer <access-token>'
Empty